# bitcitawebfront-library

Angular CLI project used by other Angular projects in the bitcita web project.<br />

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 1.6.3.

## installing the sample (via npm)

update package.json of the client project to include this library and install:

````bash
    ```
    npm run install
````

## installing the sample (manually. this updates package.json automatically.)

````bash
    ``` install current release
    npm install bitcitawebfront-library --save

    ``` install previous release
    npm install bitcitawebfront-library@1.0.0 --save
````

## working with the repo

```bash
    git clone https://bitbucket.org/fundaciobitdesarrollo/bitcitawebfront-library.git

    cd \\bitcitawebfront-library
    npm run install
    npm run dev
```

## publishing a new version

Increase release number in the package.json

Recommended to manually remove the node_modules folder and install npm run install

```bash
    npm run dist
    cd dist
    npm publish
```

## changelog

## [1.2.6] - 2022-10-19

Nueva seccion de texto: ERROR_VALIDACION_USUARIO. Para el error de validación al no encontrar el usuario que reserva la web en el sistema.

## [1.2.5] - 2022-02-04

Fix versión 1.2.4.
Campo valores en ResumenCita ahora es de tipo DominioCampoRespuesta que contiene el atributo campoId. Al reservar una cita se necesita el ID del campo de cada respuesta dentro
del campo valores para poder recuperar el objeto Campo y hacer tratamientos especiales (ocultar las respuestas a campos booleanos o checks en el resumen).

## [1.2.4] - 2022-02-03

Guardar en ResumenCita la lista de campos y no solo sus respuestas que luego se muestran en el resumen.
(En el resumen se necesita el atributo checkForm para ocultar respuestas de campos booleanos (checks). En el futuro puede que se necesite la seccion del campo o el label para mostrar HTML).

## [1.2.3] - 2022-02-03

Fix: Cambio en el orden de una condición: El texto resumen solo se muestra si la cita se ha confirmado.

## [1.2.2] - 2022-02-02

Campos: Nuevo atributo info para texto de ayuda.
Nueva pipe sanitizeInnerDynamicHtml para tratar el HTML del editor de HTML eliminando el <p> </p> vacío.
Textos dinámicos: Retornar texto según el servicio y si no existe retornar el texto general.
textos dinámicos: Nueva sección datos personales LOPD

## [1.2.1] - 2022-01-27

Textos dinámicos: Un texto puede asociarse a un servicio por lo que para una misma sección el texto puede ser diferente según el servicio.

## [1.2.0] - 2022-01-18

Se añade la validación de campos de tipo CIP

## [1.1.1] - 2022-01-17

Nuevo campo en la PeticionCita: respuestas. Para indicar las respuestas dadas al cuestionario dinámico.

## [1.1.0] - 2022-01-14

Se añade la validación para campos checkform description y la propiedad label para las etiquetas de los campos del formulario
Se añade código para mostrar textarea si el campo es checkform description

## Added

## [1.0.0] - 2022-01-14

Primera versión que es exacta a la versión 8.2.0 de la bitcitaweb-front-library
