import { ServicioCampo } from "./servicio-campo";
export declare class PeticionCita {
    campanyaId: string;
    servicioId: number;
    servicioIds: number[];
    entidadId: number;
    sitioId: number;
    recursoId: number;
    solicitanteId: number;
    dia: string;
    hora: string;
    valores: {
        [key: string]: string;
    };
    referencia: string;
    respuestas: number[];
    constructor(campanyaId: string, servicioId: number, servicioIds: number[], entidadId: number, sitioId: number, recursoId: number, solicitanteId: number, dia: string, hora: string, valores: {
        [key: string]: string;
    }, referencia: string, respuestas: number[]);
    static newObject(referencia: string, servicioId?: number, sitioId?: number): PeticionCita;
    static getServicioIds(peticion: PeticionCita): number[];
    setValores(list: ServicioCampo[]): void;
}
