"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PeticionCita = /** @class */ (function () {
    function PeticionCita(campanyaId, servicioId, servicioIds, entidadId, sitioId, recursoId, solicitanteId, dia, hora, valores, referencia, respuestas) {
        if (valores === void 0) { valores = {}; }
        this.campanyaId = campanyaId;
        this.servicioId = servicioId;
        this.servicioIds = servicioIds;
        this.entidadId = entidadId;
        this.sitioId = sitioId;
        this.recursoId = recursoId;
        this.solicitanteId = solicitanteId;
        this.dia = dia;
        this.hora = hora;
        this.valores = valores;
        this.referencia = referencia;
        this.respuestas = respuestas;
    }
    PeticionCita.newObject = function (referencia, servicioId, sitioId) {
        if (servicioId === void 0) { servicioId = null; }
        if (sitioId === void 0) { sitioId = null; }
        return new PeticionCita(null, servicioId, null, null, sitioId, null, null, null, null, null, referencia, []);
    };
    PeticionCita.getServicioIds = function (peticion) {
        var servicioIds = !!peticion.servicioIds ? peticion.servicioIds : [peticion.servicioId];
        return servicioIds;
    };
    PeticionCita.prototype.setValores = function (list) {
        var vals = (this.valores = {});
        list.forEach(function (value) {
            vals[value.campoId] = value.valor;
        });
    };
    return PeticionCita;
}());
exports.PeticionCita = PeticionCita;
//# sourceMappingURL=peticion-cita.js.map