import { FormGroup, FormBuilder } from "@angular/forms";
import { Observable } from "rxjs";
import { TranslateService } from "@ngx-translate/core";
import { CampanyaService } from "../../common/service/campanya.service";
import { ServicioCampo } from "../../common/data/servicio-campo";
import { ReservarCitaPaso } from "./reservar-cita-paso";
import { MessageService } from "../../shared/service/message.service";
export declare class DatosPersonalesComponent extends ReservarCitaPaso {
    campanyaService: CampanyaService;
    formBuilder: FormBuilder;
    translate: TranslateService;
    message: MessageService;
    myForm: FormGroup;
    servicioId: number;
    listCampo: ServicioCampo[];
    constructor(campanyaService: CampanyaService, formBuilder: FormBuilder, translate: TranslateService, message: MessageService);
    /** Cuando el usuario vuelve a esta pestaña y el servicio ha cambiado, hay que recargar la lista de campos. */
    refreshDatosVisible(): void;
    validarPaso(): boolean;
    updateReservaCita(): void;
    getFormValues(): void;
    resetActions(): void;
    loadCampos(): void;
    fillLabels(): void;
    buildFormGroup(): void;
    campoEsDescription(campo: any): boolean;
    campoEsText(campo: any): boolean;
    campoEsFecha(campo: any): boolean;
    campoEsEmail(campo: any): boolean;
    campoType(campo: any): string;
    campoShowError(campoId: number): boolean;
    campoError(campoId: number): Observable<string>;
}
