import { DomSanitizer } from "@angular/platform-browser";
import { PipeTransform } from "@angular/core";
/**
 * Pipe que aplica transformaciones a un texto HTML que se ha guardado con un editor de HTML.
 * La etiqueta style="" se elimina si no se procesa el texto con etiqueta, al pasar el texto a un input [innerHTML]
 */
export declare class SanitizeInnerDynamicHtmlPipe implements PipeTransform {
    private sanitized;
    constructor(sanitized: DomSanitizer);
    transform(value: any): import("@angular/platform-browser").SafeHtml;
}
