"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
/**
 * FocusService almacena el campo/elemento que actualmente tiene el foco del usuario.
 */
var FocusService = /** @class */ (function () {
    function FocusService() {
        // El campo/elemento con el foco
        this.focused = "none";
    }
    FocusService.prototype.focus = function (id) {
        //console.log(`focus on ${id}`);
        this.focused = id;
    };
    FocusService.prototype.clear = function () {
        //console.log('clear focus');
        this.focused = undefined;
    };
    ;
    FocusService.prototype.getFocusedElement = function () {
        //console.log(`returning focus on ${this.focused}`);
        return this.focused;
    };
    FocusService = __decorate([
        core_1.Injectable()
    ], FocusService);
    return FocusService;
}());
exports.FocusService = FocusService;
//# sourceMappingURL=focus.service.js.map