"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var forms_1 = require("@angular/forms");
var core_2 = require("@ngx-translate/core");
var sanitize_inner_html_pipe_1 = require("./pipe/sanitize-inner-html.pipe");
var sanitize_inner_dynamic_html_pipe_1 = require("./pipe/sanitize-inner-dynamic-html.pipe");
var shared_1 = require("primeng/components/common/shared");
var dialog_1 = require("primeng/components/dialog/dialog");
var calendar_1 = require("primeng/components/calendar/calendar");
var dropdown_1 = require("primeng/components/dropdown/dropdown");
var focus_register_directive_1 = require("./directive/focus-register.directive");
var bit_notification_front_component_1 = require("./component/bit-notification-front.component");
var bci_imagen_logo_component_1 = require("./component/bci-imagen-logo.component");
var bci_loading_bitcitaweb_component_1 = require("./component/bci-loading-bitcitaweb.component");
var pipe_1 = require("./pipe");
var http_1 = require("@angular/common/http");
var SharedModule = /** @class */ (function () {
    function SharedModule() {
    }
    SharedModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                forms_1.ReactiveFormsModule,
                forms_1.FormsModule,
                http_1.HttpClientModule,
                core_2.TranslateModule,
                shared_1.SharedModule,
                dialog_1.DialogModule,
                calendar_1.CalendarModule,
                dropdown_1.DropdownModule
            ],
            declarations: [
                focus_register_directive_1.FocusRegisterDirective,
                bit_notification_front_component_1.BitNotificationFrontComponent,
                bci_imagen_logo_component_1.ImagenLogoComponent,
                bci_loading_bitcitaweb_component_1.BitLoadingBitcitawebComponent,
                pipe_1.CapitalizePipe,
                sanitize_inner_html_pipe_1.SanitizeInnerHtmlPipe,
                sanitize_inner_dynamic_html_pipe_1.SanitizeInnerDynamicHtmlPipe
            ],
            exports: [
                common_1.CommonModule,
                http_1.HttpClientModule,
                forms_1.ReactiveFormsModule,
                forms_1.FormsModule,
                bci_imagen_logo_component_1.ImagenLogoComponent,
                bci_loading_bitcitaweb_component_1.BitLoadingBitcitawebComponent,
                bit_notification_front_component_1.BitNotificationFrontComponent,
                core_2.TranslateModule,
                pipe_1.CapitalizePipe,
                sanitize_inner_html_pipe_1.SanitizeInnerHtmlPipe,
                sanitize_inner_dynamic_html_pipe_1.SanitizeInnerDynamicHtmlPipe,
                dialog_1.DialogModule,
                calendar_1.CalendarModule,
                dropdown_1.DropdownModule
            ]
        })
    ], SharedModule);
    return SharedModule;
}());
exports.SharedModule = SharedModule;
//# sourceMappingURL=shared.module.js.map