"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var idioma_1 = require("../data/idioma");
var BitcitaWebUtils = /** @class */ (function () {
    function BitcitaWebUtils() {
    }
    /**
     * Los valores de dominios se guardan con un formato que se utiliza en CITAGEN. Se procesa el valor al visualizar.
     * Por ejemplo: SI ### SI => SI
     */
    BitcitaWebUtils.formatoValorCampo = function (value) {
        var separador = BitcitaWebUtils.SEPARADOR_SELECT_VALUE;
        if (value && value.indexOf(separador) > -1 && value.split(separador).length == 2) {
            var valores = value.split(separador);
            return valores[idioma_1.Idioma.esCatalanSeleccionado() ? 0 : 1].trim();
        }
        else {
            return value;
        }
    };
    BitcitaWebUtils.SEPARADOR_SELECT_VALUE = "###";
    return BitcitaWebUtils;
}());
exports.BitcitaWebUtils = BitcitaWebUtils;
//# sourceMappingURL=bitcitaweb-utils.js.map