"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var idioma_1 = require("../data/idioma");
//import {LOCALE_CA, LOCALE_ES}   from '../../app.locale';
/** Traducciones estáticas de texto. */
var StaticTranslateLoader = /** @class */ (function () {
    function StaticTranslateLoader() {
    }
    StaticTranslateLoader.prototype.getTranslation = function (lang) {
        if (idioma_1.Idioma.esEspanyol(lang)) {
            return rxjs_1.of(StaticTranslateLoader.LOCALE_ES);
        }
        else {
            return rxjs_1.of(StaticTranslateLoader.LOCALE_CA);
        }
    };
    StaticTranslateLoader.LOCALE_CA = {};
    StaticTranslateLoader.LOCALE_ES = {};
    return StaticTranslateLoader;
}());
exports.StaticTranslateLoader = StaticTranslateLoader;
//# sourceMappingURL=static-translate-loader.js.map