"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var campanya_service_1 = require("./service/campanya.service");
var consultar_cita_guard_service_1 = require("./guard/consultar-cita-guard.service");
var http_utils_service_1 = require("../shared/service/http-utils.service");
var message_service_1 = require("../shared/service/message.service");
var general_utils_service_1 = require("../shared/service/general-utils.service");
var focus_service_1 = require("../shared/service/focus.service");
var session_shared_service_1 = require("../shared/service/session-shared.service");
var shared_module_1 = require("../shared/shared.module");
var CommonModule = /** @class */ (function () {
    function CommonModule(parentModule) {
        if (parentModule) {
            throw new Error("CommonModule is already loaded. Import it in the AppModule only");
        }
    }
    CommonModule = __decorate([
        core_1.NgModule({
            imports: [shared_module_1.SharedModule],
            providers: [
                http_utils_service_1.httpUtilsServiceInjectables,
                message_service_1.MessageService,
                general_utils_service_1.GeneralUtils,
                focus_service_1.FocusService,
                session_shared_service_1.SessionSharedService,
                campanya_service_1.CampanyaService,
                consultar_cita_guard_service_1.ConsultarCitaGuard
            ],
            exports: [shared_module_1.SharedModule]
        }),
        __param(0, core_1.Optional()), __param(0, core_1.SkipSelf()),
        __metadata("design:paramtypes", [CommonModule])
    ], CommonModule);
    return CommonModule;
}());
exports.CommonModule = CommonModule;
//# sourceMappingURL=common.module.js.map