import { DomainCampoRespuesta } from "./domain-campo-respuesta";
import { Servicio } from "./servicio";
import { ServicioCampo } from "./servicio-campo";
export declare class ResumenCita {
    servicio: Servicio;
    servicioNombre: string;
    entidadNombre: string;
    entidadDireccion: string;
    sitioNombre: string;
    recursoNombre: string;
    dia: string;
    hora: string;
    valores: DomainCampoRespuesta[];
    constructor(servicio: Servicio, servicioNombre: string, entidadNombre: string, entidadDireccion: string, sitioNombre: string, recursoNombre: string, dia: string, hora: string, valores?: DomainCampoRespuesta[]);
    static newObject(): ResumenCita;
    setValores(list: ServicioCampo[]): void;
}
