"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var domain_campo_respuesta_1 = require("./domain-campo-respuesta");
var ResumenCita = /** @class */ (function () {
    function ResumenCita(servicio, servicioNombre, entidadNombre, entidadDireccion, sitioNombre, recursoNombre, dia, hora, 
    // Dominio donde se guarda el Nombre de campo y la respuesta indicada. Tambien el ID del campo por otras posibles comprobaciones.
    // - Por ejemplo, ocultar en el resumen valores de campos de tipo SiNo (checks).
    valores) {
        if (valores === void 0) { valores = []; }
        this.servicio = servicio;
        this.servicioNombre = servicioNombre;
        this.entidadNombre = entidadNombre;
        this.entidadDireccion = entidadDireccion;
        this.sitioNombre = sitioNombre;
        this.recursoNombre = recursoNombre;
        this.dia = dia;
        this.hora = hora;
        this.valores = valores;
    }
    ResumenCita.newObject = function () {
        return new ResumenCita(null, null, null, null, null, null, null, null, []);
    };
    ResumenCita.prototype.setValores = function (list) {
        var vals = (this.valores = []);
        list.forEach(function (servicioCampo) {
            vals.push(new domain_campo_respuesta_1.DomainCampoRespuesta(servicioCampo.valor, servicioCampo.nombre, servicioCampo.campoId));
        });
    };
    return ResumenCita;
}());
exports.ResumenCita = ResumenCita;
//# sourceMappingURL=resumen-cita.js.map