import { CanActivate, Router, ActivatedRoute, ActivatedRouteSnapshot, RouterStateSnapshot } from "@angular/router";
import { Observable } from "rxjs";
import { CampanyaService } from "../service/campanya.service";
export declare class ConsultarCitaGuard implements CanActivate {
    campanyaService: CampanyaService;
    router: Router;
    activatedRoute: ActivatedRoute;
    readonly campanyaId: string;
    constructor(campanyaService: CampanyaService, router: Router, activatedRoute: ActivatedRoute);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean>;
    checkPermiteConsultarCita(alternativeUrl: string, lang: string): Observable<boolean>;
}
