"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var idioma_1 = require("../..//shared/data/idioma");
var general_utils_service_1 = require("../..//shared/service/general-utils.service");
var http_utils_service_1 = require("../..//shared/service/http-utils.service");
var message_service_1 = require("../..//shared/service/message.service");
var CitaService = /** @class */ (function () {
    function CitaService(http, message, utils) {
        this.http = http;
        this.message = message;
        this.utils = utils;
        this.baseUrl = "v1/campanyas";
        console.log("CitaService construido");
    }
    CitaService.prototype.reserveCita = function (peticion) {
        var query = this.baseUrl + "/" + peticion.referencia + "/citas" + "?idioma=" + idioma_1.Idioma.getCodigo();
        return this.http.getHttpPost(query, peticion);
    };
    CitaService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_utils_service_1.HttpUtilsService, message_service_1.MessageService, general_utils_service_1.GeneralUtils])
    ], CitaService);
    return CitaService;
}());
exports.CitaService = CitaService;
//# sourceMappingURL=cita.service.js.map