import { TranslateService } from "@ngx-translate/core";
import { CampanyaService } from "../../common/service/campanya.service";
import { ReservarCitaPaso } from "./reservar-cita-paso";
import { Domain } from "../../common/data/domain";
import { MessageService } from "../../shared/service/message.service";
export declare class SeleccionarServicioComponent extends ReservarCitaPaso {
    campanyaService: CampanyaService;
    translate: TranslateService;
    message: MessageService;
    listServicio: Domain[];
    listSitio: Domain[];
    listEntidad: Domain[];
    listRecurso: Domain[];
    soloUnServicio: boolean;
    soloUnSitio: boolean;
    constructor(campanyaService: CampanyaService, translate: TranslateService, message: MessageService);
    loadDatosInicio(): void;
    loadCampañas(): void;
    loadSitios(): void;
    validarPaso(): boolean;
    updateReservaCita(): void;
    resetActions(): void;
    back(): void;
    changeServicio(): void;
    changeSitio(): void;
    loadEntidades(): void;
    changeEntidad(): void;
}
