import { TranslateService } from "@ngx-translate/core";
import { PeticionCita } from "../../common/data/peticion-cita";
import { ResumenCita } from "../../common/data/resumen-cita";
/**
 * Componente resumen de la reserva.
 * Muestra en ventana emergente el resumen de la reserva.
 */
export declare class ResumencitaConfirmarFormComponent {
    translate: TranslateService;
    resumen: ResumenCita;
    peticion: PeticionCita;
    display: boolean;
    private onSave;
    private onClose;
    titulo: string;
    constructor(translate: TranslateService);
    closeForm(): void;
    saveItem(): void;
}
