"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ImagenLogoComponent = /** @class */ (function () {
    function ImagenLogoComponent() {
        this.src = "assets/images/logo.png";
    }
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], ImagenLogoComponent.prototype, "src", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], ImagenLogoComponent.prototype, "title", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", String)
    ], ImagenLogoComponent.prototype, "href", void 0);
    ImagenLogoComponent = __decorate([
        core_1.Component({
            selector: "bci-imagen-logo",
            template: "\n    <a *ngIf=\"href; else normalLogo\" href=\"{{href}}\" target=\"_blank\" title=\"{{title}}\">\n        <ng-container *ngTemplateOutlet=\"normalLogo\"></ng-container>\n    </a>\n    <ng-template #normalLogo>\n        <img src=\"{{src}}\" class=\"logo-cabecera\" title={{title}} alt={{title}} />\n    </ng-template> \n  "
        })
    ], ImagenLogoComponent);
    return ImagenLogoComponent;
}());
exports.ImagenLogoComponent = ImagenLogoComponent;
//# sourceMappingURL=bci-imagen-logo.component.js.map