"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var focus_service_1 = require("../service/focus.service");
var FocusRegisterDirective = /** @class */ (function () {
    function FocusRegisterDirective(elRef, focusService) {
        this.elRef = elRef;
        this.focusService = focusService;
    }
    FocusRegisterDirective.prototype.onFocus = function () {
        this.focusService.focus(this.elRef.nativeElement.id);
    };
    FocusRegisterDirective.prototype.onBlur = function () {
        this.focusService.clear();
    };
    __decorate([
        core_1.HostListener("focus"),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], FocusRegisterDirective.prototype, "onFocus", null);
    __decorate([
        core_1.HostListener("blur"),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], FocusRegisterDirective.prototype, "onBlur", null);
    FocusRegisterDirective = __decorate([
        core_1.Directive({
            selector: "input,select,textarea" //TODO: no funciona bien con autoComplete. No se registra el focus
        }),
        __metadata("design:paramtypes", [core_1.ElementRef, focus_service_1.FocusService])
    ], FocusRegisterDirective);
    return FocusRegisterDirective;
}());
exports.FocusRegisterDirective = FocusRegisterDirective;
//# sourceMappingURL=focus-register.directive.js.map