"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var platform_browser_1 = require("@angular/platform-browser");
var core_1 = require("@angular/core");
/**
 * Pipe que aplica transformaciones a un texto HTML que se ha guardado con un editor de HTML.
 * La etiqueta style="" se elimina si no se procesa el texto con etiqueta, al pasar el texto a uninput [innerHTTML]
 */
var SanitizeInnerHtmlPipe = /** @class */ (function () {
    function SanitizeInnerHtmlPipe(sanitized) {
        this.sanitized = sanitized;
    }
    SanitizeInnerHtmlPipe.prototype.transform = function (value) {
        return this.sanitized.bypassSecurityTrustHtml(value);
    };
    SanitizeInnerHtmlPipe = __decorate([
        core_1.Pipe({ name: "sanitizeInnerHtml" }),
        __metadata("design:paramtypes", [platform_browser_1.DomSanitizer])
    ], SanitizeInnerHtmlPipe);
    return SanitizeInnerHtmlPipe;
}());
exports.SanitizeInnerHtmlPipe = SanitizeInnerHtmlPipe;
//# sourceMappingURL=sanitize-inner-html.pipe.js.map